> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tester.army/llms.txt.
> For full documentation content, see https://docs.tester.army/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tester.army/_mcp/server.

# Trigger a test run

POST https://tester.army/v1/tests/{testId}/runs
Content-Type: application/json

Trigger a saved dashboard test remotely using API-key authentication. Returns the queued run ID.

Reference: https://docs.tester.army/api-reference/tester-army-api/tests/trigger-a-test-run

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: testerarmy
  version: 1.0.0
paths:
  /v1/tests/{testId}/runs:
    post:
      operationId: trigger-a-test-run
      summary: Trigger a test run
      description: >-
        Trigger a saved dashboard test remotely using API-key authentication.
        Returns the queued run ID.
      tags:
        - subpackage_tests
      parameters:
        - name: testId
          in: path
          description: Test ID
          required: true
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: API key authentication using Bearer token format
          required: true
          schema:
            type: string
      responses:
        '202':
          description: Test run queued successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Tests_triggerATestRun_Response_202'
        '400':
          description: Bad Request - Invalid input parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TriggerATestRunRequestBadRequestError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TriggerATestRunRequestUnauthorizedError'
        '429':
          description: Too Many Requests - Usage limit exceeded
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/TriggerATestRunRequestTooManyRequestsError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TriggerATestRunRequestInternalServerError'
        '504':
          description: Gateway Timeout - Test execution exceeded time limit
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TriggerATestRunRequestGatewayTimeoutError'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                mode:
                  $ref: >-
                    #/components/schemas/V1TestsTestIdRunsPostRequestBodyContentApplicationJsonSchemaMode
                platform:
                  $ref: >-
                    #/components/schemas/V1TestsTestIdRunsPostRequestBodyContentApplicationJsonSchemaPlatform
                appId:
                  type: string
                  format: uuid
servers:
  - url: https://tester.army
components:
  schemas:
    V1TestsTestIdRunsPostRequestBodyContentApplicationJsonSchemaMode:
      type: string
      enum:
        - fast
        - deep
      title: V1TestsTestIdRunsPostRequestBodyContentApplicationJsonSchemaMode
    V1TestsTestIdRunsPostRequestBodyContentApplicationJsonSchemaPlatform:
      type: string
      enum:
        - web
        - ios
        - android
      title: V1TestsTestIdRunsPostRequestBodyContentApplicationJsonSchemaPlatform
    V1TestsTestIdRunsPostResponsesContentApplicationJsonSchemaStatus:
      type: string
      enum:
        - queued
      title: V1TestsTestIdRunsPostResponsesContentApplicationJsonSchemaStatus
    Tests_triggerATestRun_Response_202:
      type: object
      properties:
        status:
          $ref: >-
            #/components/schemas/V1TestsTestIdRunsPostResponsesContentApplicationJsonSchemaStatus
        runId:
          type: string
          format: uuid
        testId:
          type: string
          format: uuid
      required:
        - status
        - runId
        - testId
      title: Tests_triggerATestRun_Response_202
    TriggerATestRunRequestBadRequestError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: TriggerATestRunRequestBadRequestError
    TriggerATestRunRequestUnauthorizedError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: TriggerATestRunRequestUnauthorizedError
    TriggerATestRunRequestTooManyRequestsError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: TriggerATestRunRequestTooManyRequestsError
    TriggerATestRunRequestInternalServerError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: TriggerATestRunRequestInternalServerError
    TriggerATestRunRequestGatewayTimeoutError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: TriggerATestRunRequestGatewayTimeoutError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer token format

```

## SDK Code Examples

```python
import requests

url = "https://tester.army/v1/tests/testId/runs"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://tester.army/v1/tests/testId/runs';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tester.army/v1/tests/testId/runs"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tester.army/v1/tests/testId/runs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tester.army/v1/tests/testId/runs")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tester.army/v1/tests/testId/runs', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tester.army/v1/tests/testId/runs");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tester.army/v1/tests/testId/runs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```